All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
ScopeGuardImpl1< F, P1 > Class Template Reference

scope guard class More...

`#include <ScopeGuard.h>`

Inheritance diagram for ScopeGuardImpl1< F, P1 >:
[legend]
Collaboration diagram for ScopeGuardImpl1< F, P1 >:
[legend]

## Detailed Description

### template<typename F, typename P1>
class ScopeGuardImpl1< F, P1 >

scope guard class

The documentation for this class was generated from the following file:

- include/qore/ScopeGuard.h (5431)